> ## Documentation Index
> Fetch the complete documentation index at: https://developers.kotanipay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Send Token to Crypto Wallet

> This endpoint will send token to any crypto wallet

This endpoint will send token to any crypto wallet address specified.


## OpenAPI

````yaml POST /api/v3/onramp/crypto
openapi: 3.0.0
info:
  title: KOTANI PAY API PLATFORM
  description: ''
  version: '3.0'
  contact: {}
servers:
  - url: https://sandbox-api.kotanipay.com
security: []
tags: []
paths:
  /api/v3/onramp/crypto:
    post:
      tags:
        - ONRAMP
      summary: Send Token to Crypto Wallet
      description: This endpoint will send token to any crypto wallet
      operationId: OnrampController_createOnrampCrypto_api/v3
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateOnrampCryptoDto'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                properties:
                  success:
                    type: boolean
                    example: true
                  message:
                    type: string
                    example: Request has been successfully created
                  data:
                    $ref: '#/components/schemas/OnrampCryptoResponseDto'
                    type: object
        '400':
          description: ''
          content:
            application/json:
              schema:
                properties:
                  success:
                    type: boolean
                    example: false
                  message:
                    type: string
                    example: Bad Request
                  data:
                    type: object
                    example: {}
        '401':
          description: ''
          content:
            application/json:
              schema:
                properties:
                  success:
                    type: boolean
                    example: false
                  message:
                    type: string
                    example: Invalid API Key
                  data:
                    type: object
                    example: {}
      security:
        - JWT: []
components:
  schemas:
    CreateOnrampCryptoDto:
      type: object
      properties:
        receiverAddress:
          type: string
          description: The receiver address of the onramp crypto transaction
        chain:
          type: string
          enum:
            - ETHEREUM
            - CELO
            - AVALANCHE
            - POLYGON
            - ARBITRUM
            - OPTIMISM
            - BINANCE
            - STELLAR
            - TRON
            - FUSE
            - LIGHTNING
            - SOLANA
            - PROVENANCE
            - CARDANO
            - HEDERA
            - BASE
            - LISK
            - VICTION
            - SCROLL
          description: The chain of the onramp crypto transaction
        token:
          type: string
          enum:
            - CUSD
            - USDC
            - USDT
            - USDT0
            - SAT
            - BTC
            - HASH
            - FUSE
            - HBAR
            - USDGLO
            - CKES
            - CGHS
            - MSAT
            - XLM
            - ADA
          description: The token of the onramp crypto transaction
        cryptoAmount:
          type: number
          description: The amount of crypto sent
        referenceId:
          type: string
          description: The reference ID of the onramp crypto transaction
        callbackUrl:
          type: string
          description: Webhook URL to notify when the crypto transfer completes or fails.
      required:
        - receiverAddress
        - chain
        - token
        - cryptoAmount
        - referenceId
    OnrampCryptoResponseDto:
      type: object
      properties:
        referenceId:
          type: string
          description: The reference ID of the onramp crypto transaction
        status:
          type: string
          description: The status of the onramp crypto transaction
        cryptoAmount:
          type: number
          description: The amount of crypto sent
        cryptoAmountReceived:
          type: number
          description: The amount of crypto received
        feeInCrypto:
          type: number
          description: The fee in crypto
        feeType:
          type: string
          description: The type of fee
        cryptoWallet:
          type: string
          description: The ID of the crypto wallet
        chain:
          type: object
          description: The chain of the onramp crypto transaction
        token:
          type: object
          description: The token of the onramp crypto transaction
        amountToSend:
          type: number
          description: >-
            Total crypto the sender must dispatch (cryptoAmountReceived +
            feeInCrypto)
        transactionHash:
          type: string
          description: The transaction hash of the onramp crypto transaction
      required:
        - referenceId
        - status
        - cryptoAmount
        - cryptoAmountReceived
        - feeInCrypto
        - feeType
        - cryptoWallet
        - chain
        - token
        - amountToSend
        - transactionHash
  securitySchemes:
    JWT:
      scheme: bearer
      bearerFormat: JWT
      type: http

````